MyBB Community Forums
Validation check on Contact Us page? - Printable Version

+- MyBB Community Forums (https://community.mybb.com)
+-- Forum: 1.8 Support (https://community.mybb.com/forum-175.html)
+--- Forum: General Support (https://community.mybb.com/forum-176.html)
+--- Thread: Validation check on Contact Us page? (/thread-233211.html)

Pages: 1 2 3


Validation check on Contact Us page? - nuraman00 - 2021-08-05

People or bots are using the Contact Us form to send me spam mail.

Is there any kind of validation check I can add, to help lessen this?

For example, the same sort of validation question I have during registration.

I am on MyBB 1.8.12.


RE: Validation check on Contact Us page? - Omar G. - 2021-08-05

The following plugin forces the fill of CAPTCHA for posts:
https://community.mybb.com/thread-229893.html

Try the below version which adds a setting for forcing CAPTCHA in the contact page:
https://github.com/Sama34/OUGC-Force-Post-Captcha/tree/ff8dc7aba545adc81d5af4c10b6e55d3934d3270


RE: Validation check on Contact Us page? - nuraman00 - 2021-08-06

(2021-08-05, 08:18 AM)Omar G. Wrote: The following plugin forces the fill of CAPTCHA for posts:
https://community.mybb.com/thread-229893.html

Try the below version which adds a setting for forcing CAPTCHA in the contact page:
https://github.com/Sama34/OUGC-Force-Post-Captcha/tree/ff8dc7aba545adc81d5af4c10b6e55d3934d3270

Thanks.

I copied the plugins and languages folders to the /inc folder.

I then go to the admin console, then go to Plugins.

I don't see the new plugin there.

In addition, I see this error message:

+++++++++++++++

MyBB has experienced an internal SQL error and cannot continue.

SQL Error: 1064 - You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near 'rows FROM mybb_settinggroups WHERE name = 'quickadveditorplus'' at line 1 Query: SELECT COUNT(*) as rows FROM mybb_settinggroups WHERE name = 'quickadveditorplus'

++++++++++++++++

Should I be able to see the plugin in spite of that error message?

And how should I resolve this?

Also, I don't even think I'm using Quick Advanced Editor Plus?

When I go to Plugins, it looks like I'm using Rin Editor.


RE: Validation check on Contact Us page? - Omar G. - 2021-08-06

That seems unrelated to the plugin I posted above. List your plugins as some plugins add support for the "Quick Advanced Editor Plus" plugin, but certainly not the above as mentioned.


RE: Validation check on Contact Us page? - nuraman00 - 2021-08-07

(2021-08-06, 09:49 AM)Omar G. Wrote: That seems unrelated to the plugin I posted above. List your plugins as some plugins add support for the "Quick Advanced Editor Plus" plugin, but certainly not the above as mentioned.

Well why do you think I'm not seeing it on the plugins page? 

I thought maybe that error was causing it to not appear.

As I said, I copied the plugins and languages folder to the /inc folder

These are the plugins that show up:

[Image: qGPDby4.png]

[Image: CQcDYJr.png]
This is what's in my inc folder:

[Image: mpkiBFR.png]


RE: Validation check on Contact Us page? - Crazycat - 2021-08-07

As usual, a plugin uses a reserved keyword (rows) in its queries. Probably quickadveditorplus.


RE: Validation check on Contact Us page? - nuraman00 - 2021-08-09

(2021-08-07, 07:56 AM)Crazycat Wrote: As usual, a plugin uses a reserved keyword (rows) in its queries. Probably quickadveditorplus.

What should I do to get rid of the error?

Should I delete that Quick Advanced Editor Plus plugin?

Will that cause any problems?  It appears I'm using Rin Editor anyways?

And is this error the reason why I'm not able to see the OUGC Force Post Captcha Plugin in the list?


RE: Validation check on Contact Us page? - Crazycat - 2021-08-09

Just use the last version of the script (https://community.mybb.com/mods.php?action=view&pid=217)
version 2.2.6 is clean, the faulty query in quickadveditorplus_is_installed() use rows_n rather than rows as alias.


RE: Validation check on Contact Us page? - nuraman00 - 2021-08-09

Thanks.  That solved many issues.

Now, under "Inactive Plugins", I see a list of inactive plugins, which I wasn't seeing before.

Plus I see OUGC Force Post Captcha.

I installed it.

However, now when I go to my forum itself, I get this error.

[Image: oZOpmYt.png]

I uninstalled OUGC Force Post Captcha for the time being, to make my site usable.



Any suggestions, @Omar G.?  Thanks.

(2021-08-06, 09:49 AM)Omar G. Wrote: That seems unrelated to the plugin I posted above. List your plugins as some plugins add support for the "Quick Advanced Editor Plus" plugin, but certainly not the above as mentioned.



RE: Validation check on Contact Us page? - Omar G. - 2021-08-09

What PHP version are you using ? I did test my latest commit in PHP 8 and it worked just fine. I think you will need a tleast PHP 7.0 for this plugin to work properly.